## org.hornetq.api.core.management
Interface BroadcastGroupControl

All Superinterfaces:
  HornetQComponentControl

    public interface BroadcastGroupControl

extends HornetQComponentControl

A BroadcastGroupControl is used to manage a broadcast group.

Author:
  Jeff Mesnil

Method Summary
`long` `getBroadcastPeriod()` Returns the period used by this broadcast group.
`Object[]` `getConnectorPairs()` Returns the pairs of live-backup connectors that are broadcasted by this broadcast group.
`String` `getConnectorPairsAsJSON()` Returns the pairs of live-backup connectors that are broadcasted by this broadcast group using JSON serialization.
`String` `getGroupAddress()` Returns the address this broadcast group is broadcasting to.
`int` `getGroupPort()` Returns the port this broadcast group is broadcasting to.
`int` `getLocalBindPort()` Returns the local port this broadcast group is bound to.
`String` `getName()` Returns the configuration name of this broadcast group.

Methods inherited from interface org.hornetq.api.core.management.HornetQComponentControl
`isStarted, start, stop`

Method Detail

### getName

    String getName()

  Returns the configuration name of this broadcast group.

### getLocalBindPort

    int getLocalBindPort()

  Returns the local port this broadcast group is bound to.

### getGroupAddress

    String getGroupAddress()

  Returns the address this broadcast group is broadcasting to.

### getGroupPort

    int getGroupPort()

  Returns the port this broadcast group is broadcasting to.

### getBroadcastPeriod

    long getBroadcastPeriod()

  Returns the period used by this broadcast group.

### getConnectorPairs

    Object[] getConnectorPairs()

  Returns the pairs of live-backup connectors that are broadcasted by this broadcast group.

### getConnectorPairsAsJSON

    String getConnectorPairsAsJSON()
                                   throws Exception

  Returns the pairs of live-backup connectors that are broadcasted by this broadcast group using JSON serialization.

  Throws:
    `Exception`

Copyright © 2009 Red Hat Inc. All Rights Reserved.